Bug 9200 - msDS-NC-Replica-Locations is not on DNS application partitions when joining as second DC
msDS-NC-Replica-Locations is not on DNS application partitions when joining a...
Product: Samba 4.0
Classification: Unclassified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2012-09-24 06:12 UTC by Matthieu Patou
Modified: 2016-09-21 23:59 UTC (History)
2 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2012-09-24 06:12:36 UTC
When joining or starting to replicate an application partition samba should register this attribute too.

The msDS-NC-RO-Replica-Locations is not set as well for RODC and it should be.
Comment 1 Michael Adam 2012-11-01 10:43:10 UTC
This is related to replication, multi-dc-setups. Hence this should not block the 4.0.0 release. Moving this to the 4.1 tracking bug....
Comment 2 Stefan Metzmacher 2013-08-29 07:02:20 UTC
=> 4.2
Comment 3 Karolin Seeger 2013-12-10 15:36:47 UTC
Any news on this one?
Comment 4 Jordi MORILLO 2016-04-28 17:34:46 UTC
The new samba KCC introduced in 4.3 is checking for msDS-NC-Replica-Locations and msDS-NC-RO-Replica-Locations (see kcc/kcc_utils.py).

This 2 attribute are not registered on new DC join and are not deleted when demoting.
Comment 5 Garming Sam 2016-07-20 11:04:15 UTC
(In reply to Jordi MORILLO from comment #4)
This is aimed to be fixed in Samba 4.5.

msDS-NC-Replica-Locations and msDS-NC-RO-Replica-Locations will be set during the join, while any existing RW-DCs with current repsFrom will have their msDS-NC-Replica-Locations in a run of samba-tool dbcheck. Any existing RODC setups will need to have this fixed manually unfortunately.
Comment 6 Garming Sam 2016-09-21 23:59:06 UTC
Fixed in commit 15ca517da8eb5122fdf31b6554ebfda3073d2a64